#ifndef _MAIN_H
#define _MAIN_H 1
#include "allegro.h"

#define BFPS 100    //basic frames per second.  this is how often keys will be read and jumper_move() will be called.
//#define VERSION "0.2.0"
//#define DEBUG
#define CHANGE 1.8
//#define DATADIR "./data/"
//#define REPLAYDIR "./replays/"

enum options {O_SHOW_AI };
enum game_types { PRACTICE, COMPETITION, REPLAY };

int option(enum options);

int make_a_jump(char *);
void get_notes(int *);
double factor(int);

extern int k_point;
extern int frames;
extern double result;
extern int flight_time;
extern double camerax,cameray,cameraz;
extern char hill_name[100];
extern int k_dist;
extern signed char wind, side_wind;
extern double ef_wind;
extern double lowest_point;
extern volatile int iterations;
extern char *hill_file;
extern double hill_rec;
extern double fog_dist;
extern game_types game_type;

#endif
