#ifndef _API_H
#define _API_H 1
#define MENU_COLOR makecol(255,255,255)
#define MENU_TEXT_COLOR makecol(0,0,0)
#define MENU_HIGH_COLOR makecol(255,255,255)
#define SHADE_SHIFT 3
int get_choice(int,char *, char **);
char *getstring(char *, char *, ...);
void message(char *, ...);
int color_picker(int);
void show_text(int, char *, char **, bool = true);
void show_credits(int, char *, char **);

class menu_t {
	public:
		menu_t(char *,...);
		~menu_t();
		int get_choice();
		int add_item(char *,...);
		void change_item(int, char *,...);
		void delete_item(int);
	private:
		char *items[255];
		char *header;
		int n;
		int last_choice;
};

#endif
