#ifndef _REPLAY_H
#include "main.h"
#define _REPLAY_H 1
#define REPLAY_PERMS 0666
#define MAX_LENGTH BFPS*100

struct frame {
	int key_up:1;
	int key_down:1;
	int key_left:1;
	int key_right:1;
	signed char wind, s_wind;
};

int save_replay(char *, char *);
int load_replay(char *);
void play_replay(void);
void add_frame(struct frame);
void start_rec(void);
void clear_frame(struct frame *);
void get_replays(void);
void get_replays_n(void);

union u_f {
	struct frame bits;
	long long num;
};
extern u_f flight_rec[MAX_LENGTH];
extern int replay_time;

#endif
